<!DOCTYPE html>
<html lang="en" data-mode="dark">
  <head prefix="og: http://ogp.me/ns#">
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="generator" content="Hugo 0.68.3">
<meta name="theme" content="Color Your World -- gitlab.com/rmaguiar/hugo-theme-color-your-world">
























<title>Installing QEMU | QEMU QED</title>


<meta name="author" content="Ethan Gates">
<meta name="description" content="Instructions for installing QEMU on various systems">


<meta name="robots" content="index follow">
<meta name="referrer" content="no-referrer-when-downgrade">




  
    <link rel="canonical" href="https://example.com/installing/">
  








<meta property="og:site_name" content="QEMU QED">
<meta property="og:title" content="Installing QEMU">
<meta property="og:description" content="Instructions for installing QEMU on various systems">
  <meta property="og:url" content="https://example.com/installing/">








  <meta property="og:type" content="website">

  <meta name="twitter:site" content="@@the_bfool">







  <meta name="twitter:dnt" content="on">












<meta name="theme-color" content="#222">

<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="default">










  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  







  <script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "WebSite",
      "url": "https:\/\/example.com\/",
      "inLanguage": "en",
      "name": "QEMU QED",
      "description": "The missing manual for QEMU for digital preservation",
      "publisher": "Ethan Gates"
    }
  </script>






<link rel="stylesheet" href="/css/main.min.css">



<noscript>

  
  

  

    
      <meta name="theme-color" content="#dd587c">
    

  

  <style>
  
    html {
      --accent: #dd587c;
    }
  
    .req-js {
      display: none;
    }
    
  </style>
  
</noscript>






  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff2" as="font" crossorigin="anonymous">













  <link rel="me" href="https://github.com/EG-tech"> 

  <link rel="me" href="https://gitlab.com/EG-tech"> 

  <link rel="me" href="https://twitter.com/@the_bfool"> 







  <script>
    
      'use strict';

// Get default accent colors



// Get CSS transition


// =================================================
// Mode switcher + Custom accent color
// Based on: https://gist.github.com/regpaq/04c67e8aceecbf0fd819945835412d1f
// =================================================



const ROOT = document.documentElement;

const SHEET = document.documentElement.style;
const META_THEME_COLOR = document.querySelector('meta[name=theme-color]');

// Set the dark
function setDark() {
  ROOT.dataset.mode = 'dark'
};

// Set the light
function setLight() {
  ROOT.dataset.mode = 'light'
};

// Initialization triggers light/dark mode based on prior preference, then OS setting
// And yes, I know 'true' here is a string
if(localStorage.getItem('isDark') == 'true') {
  setDark()
} else if(localStorage.getItem('isDark') == 'false') {
  setLight()

  

};




// TODO
// Maybe I should rethink this ...
function getAccent() {
  if (ROOT.dataset.mode === 'dark') {
  
    if (localStorage.getItem('darkAccent') === null) {
      
      
      
      var currentAccent = "#dd587c"
    } else {
    
      var currentAccent = localStorage.getItem('darkAccent')
      
      
      
    }
  } else if (ROOT.dataset.mode === 'light') {

    if (localStorage.getItem('lightAccent') === null) {
  
      
      

      var currentAccent = "#225670"
    } else {
      var currentAccent = localStorage.getItem('lightAccent')
      
      
      
    }
  };
  
  return currentAccent
};

var activeAccent = getAccent();

// Set the active accent color for these right after setting mode color
// Should mitigate any flickering
SHEET.setProperty('--accent', activeAccent);

// Also meta-theme cuz, why not
META_THEME_COLOR.setAttribute('content', activeAccent);


function updateAccent() {
  var activeAccent = getAccent();

  SHEET.setProperty('--accent', activeAccent);
  PALETTE.value = activeAccent;
  META_THEME_COLOR.setAttribute('content', activeAccent);
};


document.addEventListener('DOMContentLoaded', function () {

  // Update the color picker with the active accent color 
  PALETTE.value = activeAccent;

  // Smooth transition, only when changing modes (and not loading pages)
  function smoothTransition() {
    document.body.style.transition 
    = document.querySelector('header').style.transition
    = document.querySelector('footer').style.transition
    = 'background-color .3s ease, color .3s ease'
  };
  
  // Give the user a choice
  function userModeChange() {
  
    smoothTransition();

    if (ROOT.dataset.mode == 'light') {
      setDark();
      localStorage.setItem('isDark', 'true')

      
      
    } else {
      setLight();
      localStorage.setItem('isDark', 'false')
      
      
      
    };
    
    updateAccent()
  };

  
  // TEST
  // Keyboard shortcut for mode change, here for testing purposes only
  // CTRL + ALT + M
  


  
  
  // Mode change button
  document.querySelector('footer button')
    .addEventListener('click', userModeChange)
})

    
  </script>



  </head>

  <body>

    <header>
      

  <a href="/">QEMU QED</a>




  
    <nav aria-label="Main menu.">
      <ul>
        
          <li>
            <a class="btn" href="/installing/">Installing QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/usage/">Using QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/recipes/">Recipes</a>
          </li>
        
          <li>
            <a class="btn" href="/glossary/">Glossary</a>
          </li>
        
          <li>
            <a class="btn" href="/resources/">More Resources</a>
          </li>
        
          <li>
            <a class="btn" href="/contact/">Contact</a>
          </li>
        
      </ul>
    </nav>
  


    </header>

    <div class="filler">
      

  <main>
    <article>
      <header>
        
        <h1>Installing QEMU</h1>

        
        
        
        
      </header>
    
      
      







































  




<p>The following are guidelines for installing QEMU on different operating systems.</p>
<p>QEMU QED recommends using the most up-to-date version of QEMU available for your OS, but may specifically recommend earlier versions based on compatibility with emulating certain legacy operating systems. Any example commands used will note when if they are only recommended for a particular QEMU version.</p>
<ul>
<li><a href="#bitcuratorubuntulinux">BitCurator/Ubuntu/Linux</a></li>
<li><a href="#macos">MacOS</a></li>
<li><a href="#windows">Windows</a>
<ul>
<li><a href="#windows-subsystem-for-linux">Windows Subsystem for Linux</a></li>
</ul>
<hr>
</li>
<li><a href="#running-in-a-virtual-machine-or-wsl">Running in a Virtual Machine or WSL</a></li>
<li><a href="#versioning">Versioning</a></li>
</ul>
<h2 id="bitcuratorubuntulinux">BitCurator/Ubuntu/Linux</h2>
<p>QEMU can be easily installed on any Debian/Ubuntu-based system, like BitCurator using common package managers, but the version installed may vary depending on the package manager used.</p>
<p><strong>apt</strong> will currently install QEMU 4.2.x from the Ubuntu repositories:</p>
<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-bash" data-lang="bash">apt install qemu
</code></pre></div><p><strong><a href="https://docs.brew.sh/Homebrew-on-Linux">Homebrew</a></strong> usually will install a more recent version, currently 6.0.x:</p>
<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-bash" data-lang="bash">brew install qemu
</code></pre></div><p>Please consult the <a href="https://www.qemu.org/download/#linux">official docs</a> for package manager recommendations for other distributions.</p>
<h2 id="macos">MacOS</h2>
<p>QEMU is best installed on MacOS via <a href="https://brew.sh">Homebrew</a>.</p>
<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-bash" data-lang="bash">brew install qemu
</code></pre></div><h2 id="windows">Windows</h2>
<p>The QEMU project does not officially maintain any Windows installers but recommends binaries <a href="https://qemu.weilnetz.de/w64/">provided</a> by their contributor Stefan Weil.</p>
<p>Weil&rsquo;s installers are named by date rather than version. Consult the History notes to match installers to your desired version (or just use the latest).</p>
<p>Weil&rsquo;s binaries can also be installed using the <a href="https://chocolatey.org/">Chocolatey</a> package manager:</p>
<div class="highlight"><pre class="chroma" aria-label="Box containing code sample." tabindex=0><code class="language-powershell" data-lang="powershell"><span class="n">choco</span> <span class="n">install</span> <span class="n">qemu</span>
</code></pre></div><h3 id="windows-subsystem-for-linux">Windows Subsystem for Linux</h3>
<p>WSL users should also be able to install QEMU in their WSL distribution using the Linux instructions above.</p>
<hr>
<h1 id="running-in-a-virtual-machine-or-wsl">Running in a Virtual Machine or WSL</h1>
<p>Proceed with some caution if installing QEMU in a virtual machine, compatibility layer (like Wine), or the Windows Subsystem for Linux! QEMU&rsquo;s emulation should still function fine in such environments, but certain features or functionality discussed elsewhere in QEMU QED - particularly virtualization of guest operating systems using KVM, or networking - may not work without additional setup, or at all.</p>
<hr>
<h1 id="versioning">Versioning</h1>
<p>A brief note/explanation of QEMU&rsquo;s versioning. Since version 3.0.0, QEMU uses a fairly unique &ldquo;time-based&rdquo; version numbering scheme:</p>
<ul>
<li><strong>major</strong><br>
automatically incremented by 1 for the first release <em>every year</em></li>
<li><strong>minor</strong><br>
reset to 0 with each major increment (i.e. at the beginning of each calendar year), otherwise incremented by 1 for each release from QEMU&rsquo;s master git branch</li>
<li><strong>micro</strong><br>
always 0 for releases from QEMU&rsquo;s master git branch, incremented by 1 for each stable branch release</li>
</ul>
<p>For instance: 6.0.0 was the first release of the year 2021, and 7.0.0 will be the first release of 2022. Most package managers will likely only concern themselves with the stability of &ldquo;minor&rdquo; point releases (6.1.0, 6.2.0, etc) and never pick up on &ldquo;micro&rdquo; ones.</p>



    </article>
  </main>


    </div>
    
    <footer>
      

  
    <p>Copyright © EaaSI <a href="https://gitlab.com/eaasi/qemu-qed">GitLab</a> Contributers;
Site built using <a href="https://gohugo.io/">Hugo</a> and the <a href="https://gitlab.com/rmaguiar/hugo-theme-color-your-world">Color Your World</a> theme by Raphael Aguiar</p>
  













<section class="req-js">
  <button class="outline-dashed" title="Change to light/dark mode."><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true"><use xlink:href="#adjust"/></svg></button><input class="outline-dashed" type="color" list="presets" value="#dd587c" title="Change accent color." aria-label="Change accent color."><datalist id="presets"><option value="#225670"><option value="#dd587c"><option value="#1f676b"><option value="#f3a530"><option value="#902b37"><option value="#1dbc91"><option value="#754e85"><option value="#7fc121"><option value="#a8314a"><option value="#ff7433"><option value="#3e6728"><option value="#c063bd"></datalist>
</section>



  <noscript>
    <p class="noscript">Unable to execute JavaScript. Some features were disabled.</p>
  </noscript>



    </footer>
    
    <svg xmlns="http://www.w3.org/2000/svg" width="0" height="0" aria-hidden="true">
      <symbol viewBox="0 0 512 512" id="adjust">
        <path d="M8 256c0 136.966 111.033 248 248 248s248-111.034 248-248S392.966 8 256 8 8 119.033 8 256zm248 184V72c101.705 0 184 82.311 184 184 0 101.705-82.311 184-184 184z"/>
      </symbol>
      
      
      
      
  
<symbol viewBox="0 0 448 512" id="hashtag">
  <path d="M440.667 182.109l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l14.623-81.891C377.123 38.754 371.468 32 363.997 32h-40.632a12 12 0 0 0-11.813 9.891L296.175 128H197.54l14.623-81.891C213.477 38.754 207.822 32 200.35 32h-40.632a12 12 0 0 0-11.813 9.891L132.528 128H53.432a12 12 0 0 0-11.813 9.891l-7.143 40C33.163 185.246 38.818 192 46.289 192h74.81L98.242 320H19.146a12 12 0 0 0-11.813 9.891l-7.143 40C-1.123 377.246 4.532 384 12.003 384h74.81L72.19 465.891C70.877 473.246 76.532 480 84.003 480h40.632a12 12 0 0 0 11.813-9.891L151.826 384h98.634l-14.623 81.891C234.523 473.246 240.178 480 247.65 480h40.632a12 12 0 0 0 11.813-9.891L315.472 384h79.096a12 12 0 0 0 11.813-9.891l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l22.857-128h79.096a12 12 0 0 0 11.813-9.891zM261.889 320h-98.634l22.857-128h98.634l-22.857 128z"/>
</symbol>


  <symbol viewBox="0 0 320 512" id="caret-down">
    <path d="M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z"/>
  </symbol>


      
      
      
    </svg>

    
    
    

      <script>
        
          'use strict';const PALETTE=document.querySelector('footer input');PALETTE.onchange=function(){const PICK=PALETTE.value;SHEET.setProperty('--accent',PICK);if(ROOT.dataset.mode==='light'){localStorage.setItem('lightAccent',PICK)}else{localStorage.setItem('darkAccent',PICK)};updateAccent()};
        
      </script>

    
    
    
    

  </body>
</html>
